{

    // ByCamAvatarAngleRange功能测试脚本

    "AbilityName": "TestPlayer_Ability_ByCamAvatarAngleRange",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {

            "$type" : "MoleMole.FireEffect",

            "EffectPattern" : "Eff_Avatar_LevelUp_01",

            "Target" : "Self",

            "Predicates" : 

            [

                {

                    "$type": "MoleMole.ByCamAvatarAngleRange",

                    "AngleMin": -180,

                    "AngleMax": 0

                },

            ],

        },

        {

            "$type" : "MoleMole.FireEffect",

            "EffectPattern" : "Eff_Avatar_LevelUp_02",

            "Target" : "Self",

            "Predicates" : 

            [

                {

                    "$type": "MoleMole.ByCamAvatarAngleRange",

                    "AngleMin": 0,

                    "AngleMax": 180

                },

            ],

        },

    ],

}